Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ContextTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ContextTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ContextTool.cs	(revision 4068)
@@ -1,100 +1,87 @@
-using System;
-using System.Diagnostics;
-using System.Collections;
-using System.Drawing;
 using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This tool informs the IController to display a ContextMenu when
+  /// the right mouse button is clicked once.
+  /// </summary>
+  public class ContextTool : AbstractTool, IMouseListener {
+
+    #region Fields
+
+    #endregion
+
+    #region Constructor
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// This tool informs the IController to display a ContextMenu when
-    /// the right mouse button is clicked once.
+    /// Initializes a new instance of the <see cref="T:HoverTool"/> class.
     /// </summary>
-    public class ContextTool : AbstractTool, IMouseListener
-    {
-
-        #region Fields
-
-        #endregion
-
-        #region Constructor
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:HoverTool"/> class.
-        /// </summary>
-        /// <param name="name">The name of the tool.</param>
-        // ------------------------------------------------------------------
-        public ContextTool(string name)
-            : base(name)
-        {
-        }
-
-        #endregion
-
-        #region Methods
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected override void OnActivateTool()
-        {
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse down event.
-        /// </summary>
-        /// <param name="e">The 
-        /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
-        /// containing the event data.</param>
-        /// <returns>Returns 'true' if the event was handled, otherwise 
-        /// 'false'.</returns>
-        // ------------------------------------------------------------------
-        public bool MouseDown(MouseEventArgs e)
-        {
-            if(!IsSuspended && this.Enabled)
-            {
-                if (e.Button == MouseButtons.Right && e.Clicks == 1)
-                {
-                    // Just the base menu for now.
-                    ToolStripItem[] additionalItems = null;
-
-                    this.Controller.RaiseOnShowContextMenu(
-                        new EntityMenuEventArgs(null, e, ref additionalItems));
-                    return true;
-                }
-            }
-            return false;            
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse move event - nothing is performed here.
-        /// </summary>
-        /// <param name="e">The 
-        /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
-        /// containing the event data.</param>
-        // ------------------------------------------------------------------
-        public void MouseMove(MouseEventArgs e)
-        {           
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the mouse up event - nothing is performed here.
-        /// </summary>
-        /// <param name="e">The 
-        /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
-        /// containing the event data.</param>
-        // ------------------------------------------------------------------
-        public void MouseUp(MouseEventArgs e)
-        {
-        }
-
-        #endregion
+    /// <param name="name">The name of the tool.</param>
+    // ------------------------------------------------------------------
+    public ContextTool(string name)
+      : base(name) {
     }
 
+    #endregion
+
+    #region Methods
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected override void OnActivateTool() {
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse down event.
+    /// </summary>
+    /// <param name="e">The 
+    /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
+    /// containing the event data.</param>
+    /// <returns>Returns 'true' if the event was handled, otherwise 
+    /// 'false'.</returns>
+    // ------------------------------------------------------------------
+    public bool MouseDown(MouseEventArgs e) {
+      if (!IsSuspended && this.Enabled) {
+        if (e.Button == MouseButtons.Right && e.Clicks == 1) {
+          // Just the base menu for now.
+          ToolStripItem[] additionalItems = null;
+
+          this.Controller.RaiseOnShowContextMenu(
+              new EntityMenuEventArgs(null, e, ref additionalItems));
+          return true;
+        }
+      }
+      return false;
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse move event - nothing is performed here.
+    /// </summary>
+    /// <param name="e">The 
+    /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
+    /// containing the event data.</param>
+    // ------------------------------------------------------------------
+    public void MouseMove(MouseEventArgs e) {
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the mouse up event - nothing is performed here.
+    /// </summary>
+    /// <param name="e">The 
+    /// <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance 
+    /// containing the event data.</param>
+    // ------------------------------------------------------------------
+    public void MouseUp(MouseEventArgs e) {
+    }
+
+    #endregion
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/CopyTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/CopyTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/CopyTool.cs	(revision 4068)
@@ -1,96 +1,84 @@
 using System;
-using System.Diagnostics;
-using System.Collections;
 using System.Drawing;
 using System.Windows.Forms;
-using System.IO;
-using System.Runtime.Serialization;
-using System.Runtime.Serialization.Formatters.Binary;
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// A tool that copies the selected entities to the clipboard.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class CopyTool : AbstractTool {
+    #region Fields
+    #endregion
+
+    #region Constructor
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// A tool that copies the selected entities to the clipboard.
+    /// Initializes a new instance of the <see cref="T:CopyTool"/> class.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class CopyTool : AbstractTool
-    {
-        #region Fields
-        #endregion
+    /// <param name="name">string: The name of the tool.</param>
+    // ------------------------------------------------------------------
+    public CopyTool(string name)
+      : base(name) {
+    }
+    #endregion
 
-        #region Constructor
+    #region Methods
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:CopyTool"/> class.
-        /// </summary>
-        /// <param name="name">string: The name of the tool.</param>
-        // ------------------------------------------------------------------
-        public CopyTool(string name)
-            : base(name)
-        {
-        }
-        #endregion
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected override void OnActivateTool() {
+      if (this.Controller.Model.Selection.SelectedItems.Count == 0)
+        return;
 
-        #region Methods
+      try {
+        //Clear the Anchors otherwise subsequent Copy operations will 
+        // raise an exception due to the fact that the Anchors class 
+        // is a static helper class.
+        Anchors.Clear();
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected override void OnActivateTool()
-        {
-          if (this.Controller.Model.Selection.SelectedItems.Count == 0)
-                return;
+        // First add the image to the Windows Clipboard so it can be
+        // pasted into other applications, like PowerPoint.
+        Bitmap image = this.Controller.Model.Selection.ToBitmap();
+        Clipboard.SetDataObject(image, true);
 
-            try
-            {
-                //Clear the Anchors otherwise subsequent Copy operations will 
-                // raise an exception due to the fact that the Anchors class 
-                // is a static helper class.
-                Anchors.Clear();
+        // This will create a volatile collection of entities, but they 
+        // need to be unwrapped!  I never managed to get things 
+        // working by putting the serialized collection directly onto 
+        // the Clipboad. Thanks to Leppie's suggestion it works by
+        // putting the Stream onto the Clipboard, which is weird but 
+        // it works.
+        //MemoryStream copy = Selection.SelectedItems.ToStream();
+        //DataFormats.Format format =
+        //    DataFormats.GetFormat(typeof(CopyTool).FullName);
 
-                // First add the image to the Windows Clipboard so it can be
-                // pasted into other applications, like PowerPoint.
-                Bitmap image = this.Controller.Model.Selection.ToBitmap();
-                Clipboard.SetDataObject(image, true);
+        //IDataObject dataObject = new DataObject();
+        //dataObject.SetData(format.Name, false, copy);
+        //Clipboard.SetDataObject(dataObject, false);
 
-                // This will create a volatile collection of entities, but they 
-                // need to be unwrapped!  I never managed to get things 
-                // working by putting the serialized collection directly onto 
-                // the Clipboad. Thanks to Leppie's suggestion it works by
-                // putting the Stream onto the Clipboard, which is weird but 
-                // it works.
-                //MemoryStream copy = Selection.SelectedItems.ToStream();
-                //DataFormats.Format format =
-                //    DataFormats.GetFormat(typeof(CopyTool).FullName);
+        // Rather than placing the stream of entities on the Windows
+        // Clipboard, we're using our custom clipboard to keep the
+        // Windows clipboard for moving data across apps.
+        NetronClipboard.Clear();
+        NetronClipboard.Add(this.Controller.Model.Selection.SelectedItems.Copy());
 
-                //IDataObject dataObject = new DataObject();
-                //dataObject.SetData(format.Name, false, copy);
-                //Clipboard.SetDataObject(dataObject, false);
-
-                // Rather than placing the stream of entities on the Windows
-                // Clipboard, we're using our custom clipboard to keep the
-                // Windows clipboard for moving data across apps.
-                NetronClipboard.Clear();
-                NetronClipboard.Add(this.Controller.Model.Selection.SelectedItems.Copy());
-                
-            }
-            catch (Exception exc)
-            {
-                //throw new InconsistencyException(
-                //    "The Copy operation failed.", exc);
-                MessageBox.Show("Unable to copy the selection.\n\n" +
-                    "Error Message: " + exc.Message);
-            }
-            finally
-            {
-                DeactivateTool();
-            }
-        }
-        
-        #endregion
+      }
+      catch (Exception exc) {
+        //throw new InconsistencyException(
+        //    "The Copy operation failed.", exc);
+        MessageBox.Show("Unable to copy the selection.\n\n" +
+            "Error Message: " + exc.Message);
+      }
+      finally {
+        DeactivateTool();
+      }
     }
 
+    #endregion
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/CutTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/CutTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/CutTool.cs	(revision 4068)
@@ -1,42 +1,35 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// The tool that performs the "cut" operation.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class CutTool : AbstractTool {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// The tool that performs the "cut" operation.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class CutTool : AbstractTool
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The name of this tool.</param>
-        // ------------------------------------------------------------------
-        public CutTool(string toolName)
-            : base(toolName)
-        {
-        }
+    /// <param name="toolName">string: The name of this tool.</param>
+    // ------------------------------------------------------------------
+    public CutTool(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected override void OnActivateTool()
-        {
-            if (this.Controller.Model.Selection.SelectedItems.Count == 0)
-                return;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected override void OnActivateTool() {
+      if (this.Controller.Model.Selection.SelectedItems.Count == 0)
+        return;
 
-            // How about for the cut, if we use two existing tools.  First,
-            // activate the copy tool, then activate the delete tool.  That's
-            // essentially a cut operation, right?
-            Controller.ActivateTool(ControllerBase.CopyToolName);
-            Controller.ActivateTool(ControllerBase.DeleteToolName);
-        }
+      // How about for the cut, if we use two existing tools.  First,
+      // activate the copy tool, then activate the delete tool.  That's
+      // essentially a cut operation, right?
+      Controller.ActivateTool(ControllerBase.CopyToolName);
+      Controller.ActivateTool(ControllerBase.DeleteToolName);
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/DeleteTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/DeleteTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/DeleteTool.cs	(revision 4068)
@@ -1,60 +1,48 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    public class DeleteTool : AbstractTool
-    {
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName"></param>
-        public DeleteTool(string toolName)
-            : base(toolName)
-        {
+namespace Netron.Diagramming.Core {
+  public class DeleteTool : AbstractTool {
+    /// <summary>
+    /// Constructor.
+    /// </summary>
+    /// <param name="toolName"></param>
+    public DeleteTool(string toolName)
+      : base(toolName) {
+    }
+
+    protected override void OnActivateTool() {
+      base.OnActivateTool();
+
+      DeleteCommand cmd;
+
+      if (this.Controller.Model.Selection.SelectedItems.Count > 0) {
+        // If any one entity in the selction can't be deleted,
+        // remove it from the selection.
+        for (int i = 0; i < this.Controller.Model.Selection.SelectedItems.Count; i++) {
+          IDiagramEntity entity = this.Controller.Model.Selection.SelectedItems[i];
+          if (entity.AllowDelete == false) {
+            this.Controller.Model.Selection.SelectedItems.Remove(entity);
+            i--;
+          }
+        }
+        cmd = new DeleteCommand(
+                this.Controller,
+               this.Controller.Model.Selection.SelectedItems.Copy());
+        this.Controller.UndoManager.AddUndoCommand(cmd);
+
+        // Alert each entity that they're about to be deleted.
+        foreach (IDiagramEntity entity in this.Controller.Model.Selection.SelectedItems) {
+          entity.OnBeforeDelete(cmd);
         }
 
-        protected override void OnActivateTool()
-        {
-            base.OnActivateTool();
+        cmd.Redo();
 
-            DeleteCommand cmd;
+        // Alert each entity that they have been deleted.
+        foreach (IDiagramEntity entity in this.Controller.Model.Selection.SelectedItems) {
+          entity.OnAfterDelete(cmd);
+        }
+      }
 
-            if (this.Controller.Model.Selection.SelectedItems.Count > 0)
-            {
-                // If any one entity in the selction can't be deleted,
-                // remove it from the selection.
-                for (int i = 0; i <this.Controller.Model.Selection.SelectedItems.Count; i++ )
-                {
-                    IDiagramEntity entity =this.Controller.Model.Selection.SelectedItems[i];
-                    if (entity.AllowDelete == false)
-                    {
-                       this.Controller.Model.Selection.SelectedItems.Remove(entity);
-                        i--;
-                    }
-                }
-                cmd = new DeleteCommand(
-                        this.Controller,
-                       this.Controller.Model.Selection.SelectedItems.Copy());
-                this.Controller.UndoManager.AddUndoCommand(cmd);
-
-                // Alert each entity that they're about to be deleted.
-                foreach (IDiagramEntity entity in this.Controller.Model.Selection.SelectedItems)
-                {
-                    entity.OnBeforeDelete(cmd);
-                }
-
-                cmd.Redo();
-
-                // Alert each entity that they have been deleted.
-                foreach (IDiagramEntity entity in this.Controller.Model.Selection.SelectedItems)
-                {
-                    entity.OnAfterDelete(cmd);
-                }
-            }
-
-            DeactivateTool();
-        }
+      DeactivateTool();
     }
+  }
 }
